<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/Library/updates/20100113-comments/comments_searchtext.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
include_once(dirname(__FILE__).'/../../../common/common_functions.inc.php');

class CommentsSearchTextUpdater extends SusheeObject{
	
	function execute(){
		$sql = 'SELECT `ID`,`Title`,`Body` FROM `comments` WHERE `SearchText`=""';
		$db_conn = db_connect();
		
		$rs = $db_conn->execute($sql);
		if($rs){
			while($row = $rs->FetchRow()){
				$SearchTxt=$row["Title"];
				if($SearchTxt)
					$SearchTxt.=' ';
				$SearchTxt.=$row["Body"];
				$SearchTxt=strtolower(removeAccents(decode_from_XML($SearchTxt)));
				
				$sql = 'UPDATE `comments` SET `SearchText`="'.encode_for_DB($SearchTxt).'" WHERE `ID`=\''.$row['ID'].'\';';
				$db_conn->execute($sql);
			}
		}
		
	}
	
}

$updater = new CommentsSearchTextUpdater();
$updater->execute();

?>